## org.omg.CORBA
Class InitializerHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InitializerHelper

public class InitializerHelper
extends java.lang.Object

Helper class for : Initializer

Author:
  OpenORB Compiler

Constructor Summary
`InitializerHelper()`

Method Summary
`static Initializer` `extract(Any a)` Extract Initializer from an any
`static java.lang.String` `id()` Return the Initializer IDL ID
`static void` `insert(Any a, Initializer t)` Insert Initializer into an any
`static Initializer` `read(InputStream istream)` Read Initializer from a marshalled stream
`static TypeCode` `type()` Return the Initializer TypeCode
`static void` `write(OutputStream ostream, Initializer value)` Write Initializer into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitializerHelper

    public InitializerHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Initializer t)

  Insert Initializer into an any
  Parameters:
    `a` - an any
    `t` - Initializer value

### extract

    public static Initializer extract(Any a)

  Extract Initializer from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Initializer value

### type

    public static TypeCode type()

  Return the Initializer TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Initializer IDL ID
  Returns:
    an ID

### read

    public static Initializer read(InputStream istream)

  Read Initializer from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Initializer value

### write

    public static void write(OutputStream ostream,
                             Initializer value)

  Write Initializer into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Initializer value